﻿/* Scroll Bar Hide */
html {
    scrollbar-width: none; /* Firefox */
}

body::-webkit-scrollbar {
    display: none; /* (Chrome, Safari, etc.) */
}

body::-webkit-scrollbar-track {
    background: transparent; /* scrollbar track invisible */
}

body::-webkit-scrollbar-thumb {
    background: transparent; /* scrollbar thumb (the draggable part) invisible */
}

/* Fonts */
@font-face {
    font-family: 'CF1';
    src: url('Fonts/Azonix.otf') format('truetype');
}


/* Initialization */
* {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-family: 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
    list-style: none;
    text-decoration: none;
}

body, html {
    position: relative;
    z-index: -1;
}

:root {
    --theme-col: cyan;
}

/* Header */
.header {
    background-color: transparent;
    width: 100%;
    height: 5vw;
    display: flex;
    position: fixed;
    top: 0;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 20px;
    justify-content: center;
    z-index: 1;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 50px;
}

.H-image {
    height: 3vw;
    background-color: rgba(255, 255, 255, .5);
    backdrop-filter: blur(5px);
    border: outset black 5px;
    border-radius: 15px;
    padding: 0 1vw;
    margin-left: 1.5vw;
    margin-right: 1.5vw;
    transition: transform 0.3s ease;
}

.H-text {
    pointer-events: none;
    position: absolute;
    right: 2%;
    height: 35%;
    filter: invert(50%);
    opacity: 0.5;
}

.home-burger-menu {
    left: 5vw;
    position: fixed;
    cursor: pointer;
}

    .home-burger-menu:hover {
        filter: invert(50%);
    }

/* Hamburger Menu Main Elements*/
.sidebar {
    height: calc(100vh - 60px);
    width: 0;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6); /* was  background-color: rgba(0, 0, 0, .8);*/
    overflow-x: hidden;
    transition: 0.5s;
    text-align: center;
    padding-top: 10vh;
    backdrop-filter: blur(10px);
    z-index: 2;
}

.arrowb-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.arrowb {
    position: relative;
    display: block;
    color: white;
    font-family: 'CF1', 'Sans Serif Collection';
    font-size: 1.5vw;
    line-height: 3;
}

    .arrowb i {
        position: absolute;
        color: transparent;
    }

    .arrowb:hover {
        color: black;
        background-color: rgba(255, 255, 255, 1);
    }

        .arrowb:hover i {
            color: cyan;
            left: 25%;
            top: 32%;
        }

.closebtn {
    position: absolute;
    top: 15px;
    right: 40px;
    font-size: 3vw;
    z-index: 1;
    cursor: pointer;
    color: white;
}

    .closebtn:hover {
        filter: invert();
    }

/* Site Colors */
.colorzone {
    width: calc(100% - 4vw);
    bottom: 3.5vw;
    position: absolute;
    display: flex;
    flex-direction: row;
    padding: 0 2vw 0 2vw;
}

    .colorzone > div {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 0 auto;
    }

.color-text {
    font-family: CF1;
    font-size: 1.5vw;
    color: white;
}

.color-pallet {
    display: flex;
    justify-content: center;
    align-items: center;
}

.color-box {
    width: 1.5vw;
    height: 1.5vw;
    margin: 0.35vw;
    border: thick black 1px;
    border-radius: 2.5px;
}

.primary-color {
    background-color: white;
}

.primary-color2 {
    background-color: black;
}

.secondary-color {
    background-color: cyan;
}

.secondary-color2 {
    background-color: #111;
}

.secondary-color3 {
    background-color: #2a2a2a;
}

.secondary-color4 {
    background-color: #aaaaaa;
}

/* Latest Site News */
.news-box {
    position: absolute;
    left: 0;
    bottom: 8vw;
    display: flex;
    height: 9vw;
    width: 22vw;
    background-color: white;
    border-radius: 10px;
    margin: 0 0 1vw 1.5vw;
    cursor: default;
    pointer-events: none;
}

.news-image img {
    width: 9vw;
    height: auto;
    border-radius: 9px 0 0 9px;
}

.news-content {
    padding: .75vw 1.75vw 0 1.75vw;
    width: 10vw;
}

    .news-content h4 {
        margin-top: 0;
        font-size: 1vw;
        color: black;
    }

    .news-content p {
        font-size: .8vw;
        color: #7a7a7a;
    }

/* Eye */
.eye {
    margin-left: 2vw;
    margin-right: 2vw;
    background: white;
    border: outset black 7.5px;
    height: 6vw;
    width: 6vw;
    position: relative;
    transform: rotate(45deg);
    border-radius: 75% 0;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0px 0px 10px #aaaaaa;
}

.ball {
    width: 20px;
    height: 20px;
    background: black;
    border-radius: 50%;
    border: 20px solid var(--theme-col);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) rotate(-45deg);
    animation: eyemov 1.5s 1;
    animation-delay: 2.5s;
    position: relative;
}

    .ball::before {
        content: "";
        position: absolute;
        top: -5px;
        right: -5px;
        width: 12px;
        height: 12px;
        background: white;
        border-radius: 50%;
    }

.circle {
    width: 55px;
    height: 55px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border-radius: 50%;
    z-index: 1;
}

.shut {
    width: 150px;
    height: 80px;
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%,-50%) rotate(-45deg);
    z-index: 1;
}

    .shut span {
        display: block;
        width: 100%;
        height: 15%;
        background: white;
        border-radius: 0 0 60% 60%;
        transition: height 0.4s ease;
        animation: blink 2.5s 1, blink2 0.5s 2, blink2 1s 1;
        animation-delay: 0s, 2.5s, 3.5s;
    }

.eye:active .shut span {
    height: 100%;
}

@keyframes eyemov {

    0% {
        left: 50%;
    }

    25% {
        left: 50%;
        top: 70%;
    }

    75% {
        left: 70%;
    }

    100% {
        left: 50%;
    }
}

@keyframes blink {

    0% {
        height: 15%;
    }

    5% {
        height: 100%;
    }

    100% {
        height: 15%;
    }
}

@keyframes blink2 {
    0% {
        height: 15%;
    }

    50% {
        height: 100%;
    }

    100% {
        height: 15%;
    }
}

/* Footer */
.W-footer {
    display: flex;
    flex-direction: column;
}

.custom-footer {
    position: relative;
    box-shadow: 0 0 2.5vw cyan;
    border-top: solid .1vw cyan;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: black;
    color: white;
    padding: .6rem 7.5rem;
}

.footer-left {
    flex: 1;
    display: flex;
    align-items: center;
}

.footer-nav {
    list-style: none;
    display: flex;
    gap: 1.25vw;
    padding: 0;
    margin: 0;
}

    .footer-nav a {
        color: #a7a7a7;
        font-size: 1vw;
        text-decoration: none;
        transition: color 200ms ease;
    }

        .footer-nav a:hover {
            color: white;
        }

        .footer-nav a:visited {
            color: #a7a7a7;
        }

.footer-mid {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
}

.app-name {
    color: white;
    font-size: 1.25vw;
    font-weight: 250;
    letter-spacing: 0.2vw;
    text-transform: uppercase;
    display: flex;
    align-items: center;
}

.app-initial {
    color: var(--theme-col);
    margin-right: .5vw;
    font-weight: 500;
    font-size: 1.5vw;
    height: 100%;
    transform: translateY(-1px);
}

.footer-right {
    flex: 1;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    text-align: right;
}

footer ul li i {
    margin-right: .8vw;
    font-size: 1.75vw;
}

footer ul a {
    color: #7a7a7a;
    transition: color 200ms ease;
}

    footer ul a:hover,
    footer ul a:visited:hover {
        color: white;
    }

    footer ul a:visited {
        color: #7a7a7a;
    }

.feedback-button {
    background-color: cyan;
    color: black;
    border: none;
    padding: 0.5rem 1rem;
    font-size: .8vw;
    font-weight: bold;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    line-height: 1.25;
    margin-left: .5vw;
    font-family: CF1;
}

    .feedback-button:hover {
        background-color: white;
    }

.Creds {
    background-color: rgb(10, 10, 10);
    color: white;
    padding: .5vw 0;
    text-align: center;
    pointer-events: none;
    z-index: 1;
}

/* Social Media Links */
._social-links {
    position: fixed;
    right: 0;
    top: 60%;
    padding: 1vw 0.5vw 1vw 1vw;
    background: white;
    border-radius: 0.5em 0 0 0.5em;
    box-shadow: -4px 0px 0px black;
    transition: all 300ms ease;
}

    ._social-links.slide-out {
        right: -100px; /* Adjust as needed */
        transition: right 300ms ease;
    }

    ._social-links:hover {
        box-shadow: -8px 0px 10px var(--theme-col);
        padding: 1em;
    }

._links-list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 1em;
    align-items: center;
    justify-items: center;
}

._social-link a {
    color: black;
    font-size: 1.5vw;
    transition: all 200ms ease;
}

    ._social-link a:visited {
        color: black;
    }

    ._social-link a:hover {
        color: var(--theme-col);
        font-size: 1.75rem;
    }

/* looks */
:root {
    --cube-size: 25vw;
    --cube-half-size: calc(var(--cube-size) / 2);
}

.cube {
    position: absolute;
    display: block;
    width: var(--cube-size);
    height: var(--cube-size);
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateY(0deg);
    animation: rotate 10s infinite linear;
    z-index: -1;
}

    .cube div {
        position: absolute;
        width: var(--cube-size);
        height: var(--cube-size);
        background-color: rgba(0, 255, 255, 1);
        border: 10px solid white;
    }

.front {
    transform: translateZ(var(--cube-half-size));
}

.back {
    transform: rotateY(180deg) translateZ(var(--cube-half-size));
}

.right {
    transform: rotateY(90deg) translateZ(var(--cube-half-size));
}

.left {
    transform: rotateY(-90deg) translateZ(var(--cube-half-size));
}

.top {
    transform: rotateX(90deg) translateZ(var(--cube-half-size));
}

.bottom {
    transform: rotateX(-90deg) translateZ(var(--cube-half-size));
}

@keyframes rotate {
    from {
        transform: rotateX(0deg) rotateY(0deg);
    }

    to {
        transform: rotateX(360deg) rotateY(360deg);
    }
}

/* Footer waves */
